/* ************************************************************************** */
/*                                                                            */
/*                                                        ::::::::            */
/*   map.h                                              :+:    :+:            */
/*                                                     +:+                    */
/*   By: qmennen <qmennen@student.codam.nl>           +#+                     */
/*                                                   +#+                      */
/*   Created: 2025/04/17 19:19:19 by qmennen       #+#    #+#                 */
/*   Updated: 2025/05/14 12:42:54 by whaffman      ########   odam.nl         */
/*                                                                            */
/* ************************************************************************** */

#ifndef MAP_H
# define MAP_H

# include "cub3d.h"

int		map_create(t_game **game, const char *mapfile);
void	map_free(t_map *map);
void	print_map(t_map *map);
t_tile	get_tile(t_map *map, int x, int y);
int		enclosed_map(t_map *map);
void	grid_free(t_tile **grid, int height);
t_tile	**copy_map(t_tile **grid, int width, int height);
int		parse_args(const char *mapfile, t_game *game);
t_tile	**create_grid(int width, int height);
int		find_player_or_empty(t_map *map, int *x, int *y);
int		floodfill(t_map *map, int x, int y);

#endif
